// Copyright (c) 2015, SolutionERP LLC and Contributors
// License: GNU General Public License v3. See license.txt


xhiveframework.require("assets/xhiveerp/js/financial_statements.js", function() {
	xhiveframework.query_reports["Profit and Loss Statement"] = $.extend({},
		xhiveerp.financial_statements);

	xhiveerp.utils.add_dimensions('Profit and Loss Statement', 10);

	xhiveframework.query_reports["Profit and Loss Statement"]["filters"].push(
		{
			"fieldname": "project",
			"label": __("Project"),
			"fieldtype": "MultiSelectList",
			get_data: function(txt) {
				return xhiveframework.db.get_link_options('Project', txt);
			}
		},
		{
			"fieldname": "include_default_book_entries",
			"label": __("Include Default Book Entries"),
			"fieldtype": "Check",
			"default": 1
		}
	);
});
